Bug 12272 - /var/spool/lpd should be owned by root.root
/var/spool/lpd should be owned by root.root
Product: Red Hat Linux
Classification: Retired
Component: filesystem (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-06-14 11:57 EDT by Hans de Goede
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-14 12:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-06-14 11:57:53 EDT
With LPRng there is no reason for /var/spool/lpd to owned by lp.lp actually
there is no reason for /var/spool/lpd at al except maybe for grouping
together print spool dirs.
Comment 1 Bill Nottingham 2000-06-14 12:06:56 EDT
/var/spool/lpd/<printername> is needed for the current printfilteres
to work correctly.

That being said, I believe that even with the current lpr,
there shouldn't be permission restrictions on /var/spool/lpd,
only on /var/spool/lpd/<printername>.
Comment 2 Bill Nottingham 2000-06-17 18:25:01 EDT
Fixed in filesystem-2.0.3-2.

Note You need to log in before you can comment on or make changes to this bug.